Bug 23350 - EDID needs to use the analog DDC port if DVI is used on Mac mini
Summary: EDID needs to use the analog DDC port if DVI is used on Mac mini
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: ykzhao
QA Contact:
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks: miss-2.6.31
  Show dependency treegraph
 
Reported: 2009-08-16 12:06 UTC by Tino Keitel
Modified: 2009-09-30 09:33 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch to get EDID info for the DVI port (5.13 KB, patch)
2009-08-16 12:07 UTC, Tino Keitel
no flags Details | Splinter Review
patch to get EDID info for the DVI port (5.13 KB, patch)
2009-08-16 12:07 UTC, Tino Keitel
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tino Keitel 2009-08-16 12:06:39 UTC
Without the following patch, KMS doesn't get any modes from my LCD and the screen stays black. The patch was originally posted by Keith packard with this subject:

drm/i915: sdvo: check GPIOA for SDVO DDC (vga DDC) when GPIOE fails

With the patch, I can use KMS in the text console and Xorg on my Mac mini Core2 Duo.

I rebased it against 2.6.31-rc6, as the original patch doesn't apply anymore.
Comment 1 Tino Keitel 2009-08-16 12:07:22 UTC
Created attachment 28674 [details] [review]
patch to get EDID info for the DVI port
Comment 2 Tino Keitel 2009-08-16 12:07:32 UTC
Created attachment 28675 [details] [review]
patch to get EDID info for the DVI port
Comment 3 ykzhao 2009-09-09 22:43:31 UTC
the patch is already shipped in Eric's drm-intel-next tree.

commit 57cdaf90f5f607eb029356074fefb66c9b1c0659
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 4 13:07:54 2009 +0800

    drm/I915: Use the CRT DDC to get the EDID for DVI-connector on Mac

So this bug will be marked as resolved.

Thanks.
Comment 4 Tino Keitel 2009-09-30 09:33:37 UTC
It works with 2.6.32-rc1.


bug/show.html.tmpl processed on Aug 25, 2016 at 11:25:14.
(provided by the Example extension).